%define name ipaudit
%define version 1.0
%define release 0.beta2.2mdk


Name: %{name}
Summary: Network Package Audit and Capture
Version: %{version}
Release: %{release}
Source: %name-%{version}BETA2.tar.bz2
Group: Networking/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: libpcap-devel
License: GPL
URL: http://www.sp.uconn.edu/~jrifkin/ipaudit/

%description
A neat packet logging program and auditor. Provides
dump capability and various levels of logging.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q  -n %name-%{version}BETA2


%build

%configure

make CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc README ChangeLog COPYING INSTALL AUTHORS
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.beta2.2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 1.0-0.beta2.1mdk
- 1.0beta2

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.95-5mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.95-4mdk
- buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.95-3mdk
- rebuild
- patch0: add missing includes

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.95-2mdk
- rebuild

* Mon Jul 30 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- updated to 0.95

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.92-1mdk
- updated to 0.92

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.91.1-3mdk
- clean spec

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.1-2mdk
- enable it to build with spechelper
- fix group
- BM

* Fri May 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.91.1-1mdk
- created spec file and compiled for Mandrake


